%global _hardened_build 1

%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }

Name:		symas-openldap-pw-bcrypt
Version:	1.0.0
Release:	2%{?dist}
Summary:	Symas's OpenLDAP Bcrypt module build

License:	Public Domain
URL:		https://github.com/wclarie/openldap-bcrypt/
VCS:		https://git.symas.net/symas-public/pw-bcrypt.git
Source:		%{name}-%{version}.tar.gz

BuildRequires:	symas-openldap-moddev gcc
Requires:	symas-openldap-servers

Patch0: 0001-Fix-Makefile.patch

%description
This package contains the bcrypt password module for OpenLDAP

%prep
%setup -nq pw-bcrypt-%{version}.tar.gz
%patch0 -p1

%build
make prefix=%{_syprefix} LDAP_INC="-I%{_syprefix}/include -I%{_syprefix}/include/moddev" LDAP_LIB="-L%{_sylibdir} -llber -lldap" \
	LIBTOOL=%{_syprefix}/bin/moddev/libtool libexecdir=%{_sylibdir}

%install
make install DESTDIR=%{buildroot} prefix=%{_syprefix} libexecdir=%{_sylibdir} LIBTOOL=%{_syprefix}/bin/moddev/libtool
rm -f %{buildroot}%{_sylibdir}/openldap/pw-bcrypt.a
mkdir -p %{buildroot}%{_syprefix}/share/doc/pw-bcrypt/
install -m 0644 LICENSE %{buildroot}%{_syprefix}/share/doc/pw-bcrypt/
install -m 0644 README %{buildroot}%{_syprefix}/share/doc/pw-bcrypt/

%files
%{_sylibdir}/openldap/pw-bcrypt*
%{_syprefix}/share/doc/pw-bcrypt

%changelog
* Thu Dec 2 2021 Symas Support <support@symas.com> - 1.0.0-2
- Package LICENSE and README files
* Tue Apr 6 2021 Symas Support <support@symas.com> - 1.0.0-1
- initial packaging
